curl https://production.methodfi.com/intents \
-X POST \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Idempotency-Key: 7bd52b4f-c5e3-4d0c-8b20-6a754781f2d9" \
-H "Content-Type: application/json" \
-d '{
"event": "lending.offer_sent",
"identity": {
"individual": {
"first_name": "Kevin",
"last_name": "Doyle",
"phone": "+15121231111",
"email": "kevin.doyle@gmail.com",
"dob": "1997-03-18",
"address": {
"line1": "3300 N Interstate 35",
"line2": null,
"city": "Austin",
"state": "TX",
"zip": "78705"
}
}
},
"context": {
"external_user_id": "usr_8f2d1c",
"session_id": "sess_41b7e9",
"source": "email"
},
"metadata": {
"campaign_id": "fall_prescreen"
}
}'
{
"id": "int_evt_aMm7rbqXxkqHR",
"event": "lending.offer_sent",
"context": {
"external_user_id": "usr_8f2d1c",
"session_id": "sess_41b7e9",
"source": "email",
"client_ip_address": null,
"client_user_agent": null
},
"metadata": {
"campaign_id": "fall_prescreen"
},
"created_at": "2026-11-10T18:00:00.000Z",
"updated_at": "2026-11-10T18:00:00.000Z"
}
Intents
Create an Intent
POST
/
intents
curl https://production.methodfi.com/intents \
-X POST \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Idempotency-Key: 7bd52b4f-c5e3-4d0c-8b20-6a754781f2d9" \
-H "Content-Type: application/json" \
-d '{
"event": "lending.offer_sent",
"identity": {
"individual": {
"first_name": "Kevin",
"last_name": "Doyle",
"phone": "+15121231111",
"email": "kevin.doyle@gmail.com",
"dob": "1997-03-18",
"address": {
"line1": "3300 N Interstate 35",
"line2": null,
"city": "Austin",
"state": "TX",
"zip": "78705"
}
}
},
"context": {
"external_user_id": "usr_8f2d1c",
"session_id": "sess_41b7e9",
"source": "email"
},
"metadata": {
"campaign_id": "fall_prescreen"
}
}'
{
"id": "int_evt_aMm7rbqXxkqHR",
"event": "lending.offer_sent",
"context": {
"external_user_id": "usr_8f2d1c",
"session_id": "sess_41b7e9",
"source": "email",
"client_ip_address": null,
"client_user_agent": null
},
"metadata": {
"campaign_id": "fall_prescreen"
},
"created_at": "2026-11-10T18:00:00.000Z",
"updated_at": "2026-11-10T18:00:00.000Z"
}
Beta. Intent must be enabled for your team. Contact your Method CSM to request access.
Body
Returns
Returns the newly created Intent. The response does not indicate whether a match occurred.curl https://production.methodfi.com/intents \
-X POST \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Idempotency-Key: 7bd52b4f-c5e3-4d0c-8b20-6a754781f2d9" \
-H "Content-Type: application/json" \
-d '{
"event": "lending.offer_sent",
"identity": {
"individual": {
"first_name": "Kevin",
"last_name": "Doyle",
"phone": "+15121231111",
"email": "kevin.doyle@gmail.com",
"dob": "1997-03-18",
"address": {
"line1": "3300 N Interstate 35",
"line2": null,
"city": "Austin",
"state": "TX",
"zip": "78705"
}
}
},
"context": {
"external_user_id": "usr_8f2d1c",
"session_id": "sess_41b7e9",
"source": "email"
},
"metadata": {
"campaign_id": "fall_prescreen"
}
}'
{
"id": "int_evt_aMm7rbqXxkqHR",
"event": "lending.offer_sent",
"context": {
"external_user_id": "usr_8f2d1c",
"session_id": "sess_41b7e9",
"source": "email",
"client_ip_address": null,
"client_user_agent": null
},
"metadata": {
"campaign_id": "fall_prescreen"
},
"created_at": "2026-11-10T18:00:00.000Z",
"updated_at": "2026-11-10T18:00:00.000Z"
}